CVE-2004-2570
CVSS5.0
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:44:30
NMCO    

[原文]Opera before 7.54 allows remote attackers to modify properties and methods of the location object and execute Javascript to read arbitrary files from the client's local filesystem or display a false URL to the user.


[CNNVD]Opera跨站域访问漏洞(CNNVD-200412-488)

        
        Opera是一款多平台的WEB浏览器。
        Opera在对跨域对象的写访问控制存在问题,远程攻击者可以利用这个漏洞获得敏感信息或查看本地文件系统。
        Opera 7.01版本作了不允许对跨域对象写访问的措施。但是Opera对经常使用的"location"对象却没有正确设置。通过覆盖这个对象,攻击者可以利用脚本访问任意使用这些方法的WEB页面,包括其他域的页面及目标用户的本地文件系统。造成敏感信息泄露。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:opera_software:opera_web_browser:7.11j
cpe:/a:opera_software:opera_web_browser:7.50
cpe:/a:opera_software:opera_web_browser:7.52
cpe:/a:opera_software:opera_web_browser:6.0.4
cpe:/a:opera_software:opera_web_browser:7.22
cpe:/a:opera_software:opera_web_browser:7.11b
cpe:/a:opera_software:opera_web_browser:7.20_beta1_build2981
cpe:/a:opera_software:opera_web_browser:7.21
cpe:/a:opera_software:opera_web_browser:7.10
cpe:/a:opera_software:opera_web_browser:7.0_beta1
cpe:/a:opera_software:opera_web_browser:7.11
cpe:/a:opera_software:opera_web_browser:6.0.3
cpe:/a:opera_software:opera_web_browser:5.1.1
cpe:/a:opera_software:opera_web_browser:7.53
cpe:/a:opera_software:opera_web_browser:7.23
cpe:/a:opera_software:opera_web_browser:7.50b1
cpe:/a:opera_software:opera_web_browser:5.0.2
cpe:/a:opera_software:opera_web_browser:7.0
cpe:/a:opera_software:opera_web_browser:7.0_beta2
cpe:/a:opera_software:opera_web_browser:7.20
cpe:/a:opera_software:opera_web_browser:7.0.2
cpe:/a:opera_software:opera_web_browser:7.0.1
cpe:/a:opera_software:opera_web_browser:6.0.5
cpe:/a:opera_software:opera_web_browser:7.51
cpe:/a:opera_software:opera_web_browser:7.0.3
cpe:/a:opera_software:opera_web_browser:5.1.0
cpe:/a:opera_software:opera_web_browser:6.0.6

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2570
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2570
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-488
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/10873
(PATCH)  BID  10873
http://www.opera.com/docs/changelogs/windows/754/
(PATCH)  CONFIRM  http://www.opera.com/docs/changelogs/windows/754/
http://www.gentoo.org/security/en/glsa/glsa-200408-05.xml
(PATCH)  GENTOO  GLSA-200408-05
http://secunia.com/advisories/12233
(VENDOR_ADVISORY)  SECUNIA  12233
http://xforce.iss.net/xforce/xfdb/16904
(UNKNOWN)  XF  opera-location-method-overwrite(16904)
http://www.greymagic.com/security/advisories/gm008-op/
(VENDOR_ADVISORY)  MISC  http://www.greymagic.com/security/advisories/gm008-op/
http://osvdb.org/8331
(UNKNOWN)  OSVDB  8331
http://archives.neohapsis.com/archives/fulldisclosure/2004-08/0131.html
(UNKNOWN)  FULLDISC  20040805 Opera: Location, Location, Location

- 漏洞信息

Opera跨站域访问漏洞
中危 访问验证错误
2004-12-31 00:00:00 2006-01-24 00:00:00
远程  
        
        Opera是一款多平台的WEB浏览器。
        Opera在对跨域对象的写访问控制存在问题,远程攻击者可以利用这个漏洞获得敏感信息或查看本地文件系统。
        Opera 7.01版本作了不允许对跨域对象写访问的措施。但是Opera对经常使用的"location"对象却没有正确设置。通过覆盖这个对象,攻击者可以利用脚本访问任意使用这些方法的WEB页面,包括其他域的页面及目标用户的本地文件系统。造成敏感信息泄露。
        

- 公告与补丁

        厂商补丁:
        Opera Software
        --------------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Opera Software Upgrade Opera 7.54
        
        http://www.opera.com/download/

- 漏洞信息

8331
Opera location Object Crafted URL Arbitrary Local File Access
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Opera contains a flaw that allows a remote cross site scripting attack. This flaw exists because Opera fails to block write access to the 'location' object. This could allow a user to create a specially crafted URL to overwrite methods within the 'location' object that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-08-05 Unknow
2004-08-05 Unknow

- 解决方案

Upgrade to version 7.54 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站